## Summary of MiscUtils.Configurable

You can also browse the complete source file or the generated documentation.

    class ConfigurationError(Exception):

    class Configurable(object):

        ## Init ##
        def __init__(self)

        ## Configuration
        def config(self)
        def setting(self, name, default=NoDefault)
        def setSetting(self, name, value)
        def hasSetting(self, name)
        def defaultConfig(self)
        def configFilename(self)
        def configName(self)
        def configReplacementValues(self)
        def userConfig(self)
        def printConfig(self, dest=None)
        def commandLineConfig(self)

    ## Command line settings ##
    def addCommandLineSetting(name, value)
    def commandLineSetting(configName, settingName, default=NoDefault)